<?xml version="1.0"?>
<!-- @AutoRun -->

<OBJECTS name="">
    <NODE name="Script" factory="Vector">
        
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation"
                query="select 'cms:ViewPrivilege:' || identifier as privname from oneit_content_article WHERE template='MANAGE_USERS' fetch first 1 row only">
            <tableName factory="String">oneit_sec_privilege</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="manageUserViewPrivID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='name' factory='Participant' class="oneit.sql.transfer.InsertOperation$QueryColumn" column="privname"/>
            <value name='category' factory='String' value="CMS"/>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation"
                query="select 'cms:ViewPrivilege:' || identifier as privname from oneit_content_article WHERE template='MY_COMPANY' fetch first 1 row only">
            <tableName factory="String">oneit_sec_privilege</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="myCompanyViewPrivID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='name' factory='String'>cms:ViewPrivilege:L81G02K5MTK0TOFUS8WCGZ42NSR06P</value>
            <value name='category' factory='String' value="CMS"/>
        </NODE>
        
        
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation"  
                query="select object_id as roleid from oneit_sec_role where name='TL_CompanyAdmin'">
            <tableName factory="String">oneit_sec_role_priv_link</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='priv_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="manageUserViewPrivID"/>
            <value name='role_id' factory='Participant' class="oneit.sql.transfer.InsertOperation$QueryColumn" column="roleid"/>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation"  
                query="select object_id as roleid from oneit_sec_role where name='TL_CompanyAdmin'">
            <tableName factory="String">oneit_sec_role_priv_link</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='priv_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="myCompanyViewPrivID"/>
            <value name='role_id' factory='Participant' class="oneit.sql.transfer.InsertOperation$QueryColumn" column="roleid"/>
        </NODE>

    </NODE>
</OBJECTS>